Subject: Re: ds/path-walk-2 (was Re: What's cooking in git.git (Apr 2025, #03; Fri, 11))

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Apr 2025 05:34:11 -0700

Derrick Stolee <[email-masked]> writes:

> On 4/11/2025 6:58 PM, Junio C Hamano wrote:
>
>> * ds/path-walk-2 (2025-03-25) 13 commits
>>  - pack-objects: allow --shallow and --path-walk
>>  - path-walk: add new 'edge_aggressive' option
>>  - pack-objects: thread the path-based compression
>>  - pack-objects: refactor path-walk delta phase
>>  - scalar: enable path-walk during push via config
>>  - pack-objects: enable --path-walk via config
>>  - repack: add --path-walk option
>>  - t5538: add tests to confirm deltas in shallow pushes
>>  - pack-objects: introduce GIT_TEST_PACK_PATH_WALK
>>  - p5313: add performance tests for --path-walk
>>  - pack-objects: update usage to match docs
>>  - pack-objects: add --path-walk option
>>  - pack-objects: extract should_attempt_deltas()
>> 
>>  "git pack-objects" learns to find delta bases from blobs at the
>>  same path, using the --path-walk API.
>> 
>>  Comments?
>>  source: <[email-masked]>
> The current version (v2) has not received any comments yet. v1 had
> some, which I responded to, as well as some exploration of the use
> of --window by Taylor. I haven't heard anything since then.

Right.  I do not recall seeing anybody doing a deep dive, which I
would prefer to see done in the code paths involved.  At least I'd
want to see somebody (could be me) verify that the changes would not
break when the new option is not in effect before merging it.

> I continue to get user reports of folks using this feature in Git
> for Windows or microsoft/git, so I still think this would be a
> valuable improvement for the core project.

Oh, no quiestion about that part.  Otherwise we wouldn't be listing
the topic in this list ;-).  I just want to see support not just by
the end-users who do not know or care how the thing looks internally,
but also by the folks around here who do.

Thanks.